.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.main-banner {
  background-image: url(https://images.unsplash.com/photo-1535223289827-42f1e9919769?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=687&q=80);
  width: 100vw;
  height: 100vh;
  background-size: cover;
  background-position-x: right;
}

.main-banner h1 {
  padding-top: 5rem;
  font-size: 90px;
  align-content: center;
  justify-content: center;
}

.main-banner p {
  font-size: 20px;
  padding-top: 1rem;
  padding-bottom: 2rem;
}

.Navbar.Brand .nav-bar {
  padding-left: 3rem;
  padding-right: 3rem;
}

.main-banner .button {
  font-size: 20px;
  padding-left: 3rem;
  padding-right: 3rem;
}

/* Login form */

.signup__form--container,
.login__form--container {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 60vh;
  width: 100vh;
  justify-content: center;
}

.login__image--container {
  background-image: url(https://images.unsplash.com/photo-1580983568724-329ea199c2ac?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2070&q=80);
  height: 100vh;
  background-size: cover;
  background-position: center;
}

.signup__image--container {
  background-image: url(https://images.unsplash.com/photo-1593508512255-86ab42a8e620?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2978&q=80);
  height: 100vh;
  background-size: cover;
  background-position: center;
}

.productview__image--container {
  background-image: url(https://images.unsplash.com/photo-1588336443962-49d88df004a1?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=2130&q=80);
  height: 30vh;
  width: 100vh;
  background-size: cover;
  background-position: center;
}
